#include "instructorbuttongroupwidget.h"
#include "ui_instructorbuttongroupwidget.h"

InstructorButtonGroupWidget::InstructorButtonGroupWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::InstructorButtonGroupWidget)
{
    ui->setupUi(this);
}

void InstructorButtonGroupWidget::initialize(MainWindow *mainWindow)
{
    this->mainWindow = mainWindow;
    hide();
}

void InstructorButtonGroupWidget::on_loadToServerButton_clicked()
{
    mainWindow->loadToServer();
}

void InstructorButtonGroupWidget::on_undoChangesButton_clicked()
{
    mainWindow->undoCurrentChanges();
}

void InstructorButtonGroupWidget::on_startWithCurrentChangesButton_clicked()
{
    mainWindow->startUnityClient();
}

InstructorButtonGroupWidget::~InstructorButtonGroupWidget()
{
    delete ui;
}


